
Figure - Bug #117025
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111068 (New): AF-V3.0--Launcher/SystemUI-定制屏保

【AF】【EVT】【屏保】打开应用宝页面，超过设定时长，仍未进入屏保
2023-03-18 15:55 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-03-18

Priority: Normal Due date: 2023-04-14

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303170158

Resolution: WORKSFORME Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

1、设备已开机

2、已下载应用宝

【操作步骤】

1、设置屏保时间为30s

2、等待设备进入屏保

3、打开应用宝，等待设备进入屏保

【预期结果】

2、屏保显示正常

3、屏保显示正常

【实际结果】

2、屏保显示正常

3、未进入屏保界面

Related issues:

Related to Figure - Bug # 116643: 【AF】【EVT2】【屏保】等待超过相应时间后... CLOSED 2023-05-23 2023-05-26

History

#1 - 2023-03-20 14:35 - CD APP-王营

- Status changed from New to NEED_INFO

- Assignee changed from CD APP-王营 to CDTS_Test 吴诗雨

- Resolution changed from -- to DUPLICATE

#2 - 2023-03-20 15:04 - CDTS_Test 吴诗雨

【复现版本】0319DB

【复现情况】未复现

#3 - 2023-03-22 16:13 - CDTS_Test 吴诗雨

【验证版本】0321release版本
【验证情况】未复现

#4 - 2023-03-23 11:15 - CDTS_Test 吴诗雨

- File 20230323-110249.mp4 added

- File 03231058-设备时间03230720.txt added

【复现版本】0323release版本

【复现情况】刷机后直接打开应用宝出现

#5 - 2023-03-23 11:32 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_Test 吴诗雨 to CD APP-王营

- Resolution changed from DUPLICATE to --

#6 - 2023-03-23 11:32 - CDTS_Test 吴诗雨

- File 应用宝.apk added

#7 - 2023-03-31 14:59 - CD APP-王营

- Due date set to 2023-04-07

#8 - 2023-04-10 19:02 - CD APP-王营

■ Current conclusion

问题同116643，正在分析屏保启动的流程。

■ My analysis

从应用宝产生的问题分析，在页面存在视频播放的情况下，屏保没有自动启动，接下来需要从代码中找到具体影响屏保启动的几个因素。

#9 - 2023-04-10 19:12 - CD APP-王营

- Due date changed from 2023-04-07 to 2023-04-14

#10 - 2023-04-14 16:12 - CD APP-王营

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD APP-王营 to CDTS_Test 吴诗雨

■ Current conclusion

对比机测试，此现象属于正常逻辑，在应用宝首页广告banner会循环播放一条视频，应用正常播放视频的情况下是不会自动启动屏保的，可对比其他视

频播放器。

■ Next action

请测试同学以此方式来验证此问题。

#11 - 2023-04-14 16:16 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to WORKSFORME

下载同个应用宝apk，对比机表现与设备情况一致。
在有循环播放广告的页面时不会进入屏保。

#12 - 2023-04-14 16:17 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#13 - 2023-04-14 16:17 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

03181550.txt 2.98 MB 2023-03-18 CDTS_Test 吴诗雨

20230323-110249.mp4 29.5 MB 2023-03-23 CDTS_Test 吴诗雨

03231058-设备时间03230720.txt 4.01 MB 2023-03-23 CDTS_Test 吴诗雨

应用宝.apk 13.5 MB 2023-03-23 CDTS_Test 吴诗雨
